:root {
  --accent-color: #009cbe;
  --secondary-color: #b7e3ed;
  --background-dg-color: #535353;
  --background-color-lg-2: #30afca1c;
  --background-color-lg-1: #30afca59;
  --text-color-dk: #000;
  --text-color-lg: #fff;
  --headline-color: #121212;
  --step--2: clamp(0.7813rem, 0.7747rem + 0.0326vw, 0.8rem);
  --step--1: clamp(0.9375rem, 0.9158rem + 0.1087vw, 1rem);
  --step-0: clamp(1.125rem, 1.0815rem + 0.2174vw, 1.25rem);
  --step-1: clamp(1.35rem, 1.2761rem + 0.3696vw, 1.5625rem);
  --step-2: clamp(1.62rem, 1.5041rem + 0.5793vw, 1.9531rem);
  --step-3: clamp(1.944rem, 1.771rem + 0.8651vw, 2.4414rem);
  --step-4: clamp(2.3328rem, 2.0827rem + 1.2504vw, 3.0518rem);
  --step-5: clamp(2.7994rem, 2.4462rem + 1.7658vw, 3.8147rem);
}
/* Fonts */
body {
  font-size: calc(15px + 0.5vw);
  line-height: calc(22px + 0.7vw);
  overflow-x: hidden;
}
@font-face {
  font-family: "OpenSans Regular";
  src: url("/assets/fonts/OpenSans/OpenSans-Regular.ttf") format("truetype");
}
@font-face {
  font-family: "OpenSans Bold";
  src: url("/assets/fonts/OpenSans/OpenSans-Bold.ttf") format("truetype");
}
@font-face {
  font-family: "AntonSC";
  src: url("/assets/fonts/Anton_SC/AntonSC-Regular.ttf") format("truetype");
}
/* Hero */
.hero-overlay {
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  left: 10%;
  z-index: 2;
}
.hero-overlay h1 {
  font-family: AntonSC, sans-serif;
  font-size: clamp(1.4rem, 4.5vw + 0.6rem, 5rem);
  line-height: 125%;
  text-align: left;
  color: var(--text-color-lg);
}
.hero-overlay h1 span {
  color: var(--secondary-color);
}
/* End Hero */
/* Footer */
.footer-wrapper {
  background: var(--accent-color);
}
.footer-row-1,
.footer-row-2,
.footer-row-3 {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 0.9rem;
  color: var(--text-color-lg);
  line-height: 1.3rem;
}
.footer-row-1 span,
.footer-row-2 span,
.footer-row-3 span {
  font-family:
    OpenSans Bold,
    sans-serif;
}
.footer-row-1 a,
.footer-row-2 a,
.footer-row-3 a {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 0.9rem;
  color: var(--text-color-lg);
  line-height: 1.3rem;
}
.footer-row-1 a:hover,
.footer-row-2 a:hover,
.footer-row-3 a:hover {
  color: rgba(255, 255, 255, 0.7);
}
div.footer-sm {
  display: flex;
  flex-wrap: nowrap;
  gap: 10px;
  justify-content: center;
  margin-top: 10px;
}
div.footer-sm img {
  width: 45px;
}
/* End Footer */
/* Content */
.content-rg p {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 2rem;
  line-height: 130%;
  color: var(--text-color-dk);
  text-align: center;
}
.content-rg h2 {
  font-family:
    OpenSans Bold,
    sans-serif;
  font-size: 2rem;
  line-height: 130%;
  color: var(--text-color-dk);
  text-align: center;
}
.background-lg-2 {
  background: var(--background-color-lg-2);
}
/* End Content */
/* Bild-Grid */
.img-grid {
  display: grid;
  gap: 25px;

  /* Desktop: 4 Spalten, 2 Zeilen */
  grid-template-columns: repeat(4, 1fr);

  /* Wichtig: definierte Zeilenhöhe, damit die Grid-Flächen "stehen" */
  grid-auto-rows: 220px; /* anpassen nach gewünschter Höhe */
  grid-template-rows: repeat(
    2,
    220px
  ); /* sorgt für exakt 2 gleich hohe Zeilen */

  /* optional, aber oft stabiler bei gemischten Spans */
  grid-auto-flow: row;
}

/* Desktop-Placement */
.img-1 {
  grid-column: 1 / 3;
  grid-row: 1 / 3;
} /* 2 Spalten, 2 Zeilen */
.img-2 {
  grid-column: 3 / 4;
  grid-row: 1 / 2;
} /* Spalte 3, Zeile 1 */
.img-3 {
  grid-column: 3 / 4;
  grid-row: 2 / 3;
} /* Spalte 3, Zeile 2 */
.img-4 {
  grid-column: 4 / 5;
  grid-row: 1 / 3;
} /* Spalte 4, Zeile 1-2 */

/* Bilder füllen die Fläche */
.img {
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 0; /* optional */
}
.img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

/* Mobile: 2 Spalten, 4 Zeilen */
@media (max-width: 767px) {
  .img-grid {
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(4, 180px);
    grid-auto-rows: 180px;
  }

  .img-1 {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
  } /* Spalte 1-2, Zeile 1-2 */
  .img-2 {
    grid-column: 1 / 2;
    grid-row: 3 / 4;
  } /* Spalte 1, Zeile 3 */
  .img-3 {
    grid-column: 1 / 2;
    grid-row: 4 / 5;
  } /* Spalte 1, Zeile 4 */
  .img-4 {
    grid-column: 2 / 3;
    grid-row: 3 / 5;
  } /* Spalte 2, Zeile 3-4 */
}
.card-column {
  background: var(--background-color-lg-1);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 30px;
}
.card-description {
  font-family:
    OpenSans Bold,
    sans-serif;
  font-size: 1.1rem;
  line-height: 130%;
  color: var(--text-color-dk);
  text-align: center !important;
}
a.card-btn {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 0.9rem;
  line-height: 100%;
  color: var(--text-color-dk);
  text-align: center !important;
  background: #fff;
  padding: 10px 25px;
  margin-top: auto;
}
a.card-btn:hover {
  background: rgba(255, 255, 255, 0.7);
}
/* End Bild-Grid */
/* Stelle Header */
.job-header-wrapper {
  background: var(--background-color-lg-1);
}
.job-header-headline h1 {
  font-family:
    OpenSans Bold,
    sans-serif;
  font-size: 2.8rem;
  line-height: 130%;
  color: var(--text-color-lg);
}
p.h1-subtitle {
  font-family:
    OpenSans Bold,
    sans-serif;
  font-size: 1.4rem;
  line-height: 130%;
  color: var(--accent-color);
}
@media all and (min-width: 768px) and (max-width: 980px) {
  .job-header-headline h1 {
    font-size: 1.8rem;
  }
  p.h1-subtitle {
    font-size: 1rem;
  }
}
@media all and (max-width: 767px) {
  .job-header-headline h1 {
    font-size: 1.1rem;
  }
  p.h1-subtitle {
    font-size: 0.75rem;
  }
}
/* End Stelle Header */
/* Stelle Content */
.job-copy,
.job-copy p {
  font-family:
    OpensSans Regular,
    sans-serif;
  font-size: 1.1rem;
  color: var(--text-color-dk);
  line-height: 130%;
}
.job-description {
  background: var(--background-color-lg-1);
  padding: 25px 30px;
  font-family:
    OpensSans Regular,
    sans-serif;
  font-size: 1.1rem;
  color: var(--text-color-dk);
  line-height: 130%;
}
.job-description p,
.job-description li {
  font-family:
    OpensSans Regular,
    sans-serif;
  font-size: 1.1rem;
  color: var(--text-color-dk);
  line-height: 130%;
}
.job-description span {
  font-family:
    OpensSans Bold,
    sans-serif;
  font-weight: 700;
  font-size: 1.1rem;
  color: var(--text-color-dk);
  line-height: 130%;
}
/* End Stelle Content */
/* Formular Kontakt */
/* Allgemeines Layout */
.cf7-form-wrapper {
  max-width: 100%;
  margin: 0 auto;
  font-family: sans-serif;
}
.cf7-flex-2 > p {
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
@media (max-width: 980px) {
  .cf7-flex-2 > p {
    flex-direction: column !important;
  }
  div.cs-flex-col-2 {
    flex-direction: column !important;
    gap: 0 !important;
  }
  div.custom-upload-wrapper {
    flex-direction: column !important;
    gap: 0 !important;
  }
}
.row.cs-flex-col-2 .column {
  width: 100%;
}
select.wpcf7-form-control {
  background: var(--text-color-lg);
  border: 1px solid var(--accent-color);
  border-radius: 6px;
  padding-left: 8px;
  height: 40px;
  width: 100%;
}
.cf7-label {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 1rem;
  text-align: left;
  display: block;
  font-weight: bold;
  color: var(--text-color);
  margin-top: 20px;
  margin-bottom: -12px;
  padding-bottom: 0;
}

.cf7-row {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
  margin-bottom: 15px;
}

.cf7-half {
  flex: 1 1 48%;
}

.cf7-full {
  flex: 1 1 100%;
}
.cf7-form-wrapper input {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 1rem;
  background: var(--text-color-lg);
  border: 1px solid var(--accent-color);
  border-radius: 6px;
  padding-left: 8px;
  height: 40px;
  width: 100%;
}
span.wpcf7-form-control-wrap,
.custom-upload-wrapper p {
  width: 100%;
}
.cf7-row > p {
  width: 100%;
}
.cf7-input,
.cf7-textarea,
.wpcf7-select,
.wpcf7-file,
.wpcf7-date,
.wpcf7-email {
  width: 100%;
  padding: 10px;
  border: 1px solid var(--accent-color);
  border-radius: 6px;
  color: var(--accent-color);
  background: var(--text-color-lg);
  font-size: 16px;
  box-sizing: border-box;
  padding-top: 2px;
  padding-bottom: 2px;
}

.cf7-input::placeholder,
.cf7-textarea::placeholder {
  color: var(--accent-color);
  background: var(--text-color-lg);
  opacity: 1;
}
input.wpcf7-file {
  color: var(--accent-color);
  padding-top: 8px;
}
.cf7-textarea {
  height: 150px;
  resize: vertical;
}

.cf7-icon-row {
  position: relative;
}

.cf7-icon-envelope {
  position: absolute;
  left: 10px;
  top: 50%;
  font-size: 18px;
  color: var(--accent-color);
  z-index: 9;
  pointer-events: none;
}
.cf7-icon-phone {
  position: absolute;
  left: 10px;
  top: 50%;
  font-size: 18px;
  color: var(--accent-color);
  z-index: 9;
  pointer-events: none;
}

.cf7-icon-row .cf7-input {
  padding-left: 30px;
}

.cf7-rechtstext {
  font-size: 1rem;
  color: var(--text-color);
  margin: 20px 0 10px;
}

.cf7-button-wrapper > p {
  text-align: center;
}

input.cf7-submit {
  font-family:
    OpenSans Regular,
    sans-serif;
  font-size: 1rem;
  color: white;
  background: var(--accent-color);
  border: 1px solid var(--accent-color);
  border-radius: 0;
  padding: 10px 24px;
  cursor: pointer;
  width: auto;
  height: auto;
  transition: background-color 0.2s ease;
}
p.cf7-rechtstext {
  text-align: left;
}
.cf7-submit:hover {
  background: var(--secondary-color) !important;
  border: 1px solid var(--accent-color) !important;
  color: var(--accent-color) !important;
}
div.cs-flex-col-2 {
  display: flex;
  justify-content: space-between;
  gap: 40px;
}
/*** Upload ***/
.custom-upload-wrapper {
  display: flex;
  gap: 40px;
  width: 100%;
}

.upload-field {
  position: relative;
  width: 100%;
  padding: 10px;
  border: 2px dashed #ccc;
  border-radius: 6px;
  background-color: #f9f9f9;
  color: #555;
  text-align: left;
  font-size: 14px;
  cursor: pointer;
  box-sizing: border-box;
}

.upload-field::after {
  content: "";
  position: absolute;
  right: 10px;
  top: 50%;
  width: 20px;
  height: 20px;
  transform: translateY(-50%);
  background-image: url("/wp-content/uploads/2025/06/upload.svg"); /* <– Pfad ggf. anpassen */
  background-repeat: no-repeat;
  background-size: contain;
  pointer-events: none;
}

.wpcf7 input[type="file"].upload-field::file-selector-button {
  display: none; /* versteckt den Standard-Button */
}

.wpcf7 input[type="file"].upload-field {
  padding-right: 40px; /* Platz für das Icon */
}
/*** End Upload ***/
/* End Formular Kontakt */
